<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE Profile SYSTEM "profile.dtd">

<!--
 ==================================================================
   This file contains sample code.  IBM PROVIDES THIS CODE ON AN
   'AS IS' BASIS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
   OF MERCHANT ABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

   (C) Copyright IBM Corporation 2000

 ==================================================================
  This cashier profile defines how LdbCard orders are
  created using the SampleCheckout application.
 ================================================================== -->

<Profile useWallet="false" enableTrace="false">

  <CollectPayment>

    <!-- ==================================================================
      The BuyPageInformation element contains the cassette's protocol data part
      of an HTML form that buyers will use to create orders using this profile.
      The SampleCheckout application requires that the BuyPageInformation
      element contains HTML that can be imbedded within <FORM> and <TABLE>
      elements as follows:

        <FORM NAME="cassetteform" METHOD="POST" ACTION="/webapp/PaymentManager/SampleCheckout">
          <TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2">

            .... <BuyPageInformation> contents go here...

          </TABLE>
        </FORM>

      The "reference" attribute names a Java ResourceBundle that can be used
      to localize the contents of the buy page.  The SampleCheckout application
      will substitute any text found in curly braces ({}) with localized text
      from the appropriate resource bundle.  SampleCheckout uses the browser-
      specified locale to identify which localized ResourceBundle to use.

      For example, if the reference is SampleCheckoutXXX and the user has set
      the browser's locale to fr_FR, SampleCheckout will search for substitutions
      of text found inside curly braces with matching text from the
      SampleCheckoutXXX_fr_FR.properties file.  If a match cannot be found,
      the SampleCheckoutXXX_fr.properties and SampleCheckout.properties files
      will be searched in sequence.

      This buy page will contain HTML that looks as follows:

            Credit card number           ________________
            Expiration date              ________   _____
     ================================================================== -->

    <BuyPageInformation reference="SampleCheckoutLdbCard"><![CDATA[
      <TR>
        <TD COLSPAN=\"4\">
          {LDBCARDMESSAGE}
        </TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {CARDHOLDERNAME}
        </TD>
        <TD></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="Ecom_Payment_Card_Name" SIZE="30" MAXLENGTH="128">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {BRAND}
        </TD>
        <TD><font color="red">*</font></TD>
        <TD>
          <SELECT NAME="Ecom_Payment_Card_Type">
            <OPTION VALUE="">
            <OPTION VALUE="VISA">{VISA}
            <OPTION VALUE="MC">{MC}
            <OPTION VALUE="AMEX">{AMEX}
          </SELECT>
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS=\"HEADER\">
          {PAN}
        </TD>
        <TD><font color=\"red\">*</font></TD>
        <TD>
          <INPUT TYPE=\"TEXT\" NAME=\"Ecom_Payment_Card_Number\" SIZE=\"19\" MAXLENGTH=\"19\">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {EXPIRY}
        </TD>
        <TD><font color="red">*</font></TD>
        <TD>
          <SELECT NAME="Ecom_Payment_Card_ExpDate_Month">
            <OPTION VALUE="">
            <OPTION VALUE="01">{JANUARY}
            <OPTION VALUE="02">{FEBRUARY}
            <OPTION VALUE="03">{MARCH}
            <OPTION VALUE="04">{APRIL}
            <OPTION VALUE="05">{MAY}
            <OPTION VALUE="06">{JUNE}
            <OPTION VALUE="07">{JULY}
            <OPTION VALUE="08">{AUGUST}
            <OPTION VALUE="09">{SEPTEMBER}
            <OPTION VALUE="10">{OCTOBER}
            <OPTION VALUE="11">{NOVEMBER}
            <OPTION VALUE="12">{DECEMBER}
          </SELECT>
          <SELECT NAME="Ecom_Payment_Card_ExpDate_Year">
            <OPTION VALUE="">
            <OPTION VALUE="2000">2000
            <OPTION VALUE="2001">2001
            <OPTION VALUE="2002">2002
            <OPTION VALUE="2003">2003
            <OPTION VALUE="2004">2004
          </SELECT>
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD COLSPAN="4">
          <BR>
          <FONT SIZE="+1"><B>{BILLINGADDRESS}</B></FONT>
        </TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {STREETADDRESS}
        </TD>
        <TD></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="Ecom_BillTo_Postal_Street_Line1" SIZE="30" MAXLENGTH="128">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {CITY}
        </TD>
        <TD></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="Ecom_BillTo_Postal_City" SIZE="30" MAXLENGTH="50">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {STATEPROVINCE}
        </TD>
        <TD></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="Ecom_BillTo_Postal_StateProv" SIZE="30" MAXLENGTH="50">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {POSTALCODE}
        </TD>
        <TD></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="Ecom_BillTo_Postal_PostalCode" SIZE="14" MAXLENGTH="14">
        </TD>
        <TD></TD>
      </TR>
      <TR>
        <TD CLASS="HEADER">
          {COUNTRYCODE}
        </TD>
        <TD></TD>
        <TD>
          <!-- ISO-3166 country codes -->
          <SELECT NAME="Ecom_BillTo_Postal_CountryCode">
            <OPTION VALUE="">
            <OPTION VALUE="4">{COUNTRY.4}
            <OPTION VALUE="8">{COUNTRY.8}
            <OPTION VALUE="12">{COUNTRY.12}
            <OPTION VALUE="16">{COUNTRY.16}
            <OPTION VALUE="20">{COUNTRY.20}
            <OPTION VALUE="24">{COUNTRY.24}
            <OPTION VALUE="660">{COUNTRY.660}
            <OPTION VALUE="10">{COUNTRY.10}
            <OPTION VALUE="28">{COUNTRY.28}
            <OPTION VALUE="32">{COUNTRY.32}
            <OPTION VALUE="51">{COUNTRY.51}
            <OPTION VALUE="533">{COUNTRY.533}
            <OPTION VALUE="36">{COUNTRY.36}
            <OPTION VALUE="40">{COUNTRY.40}
            <OPTION VALUE="31">{COUNTRY.31}
            <OPTION VALUE="44">{COUNTRY.44}
            <OPTION VALUE="48">{COUNTRY.48}
            <OPTION VALUE="50">{COUNTRY.50}
            <OPTION VALUE="52">{COUNTRY.52}
            <OPTION VALUE="112">{COUNTRY.112}
            <OPTION VALUE="56">{COUNTRY.56}
            <OPTION VALUE="84">{COUNTRY.84}
            <OPTION VALUE="204">{COUNTRY.204}
            <OPTION VALUE="60">{COUNTRY.60}
            <OPTION VALUE="64">{COUNTRY.64}
            <OPTION VALUE="68">{COUNTRY.68}
            <OPTION VALUE="70">{COUNTRY.70}
            <OPTION VALUE="72">{COUNTRY.72}
            <OPTION VALUE="74">{COUNTRY.74}
            <OPTION VALUE="76">{COUNTRY.76}
            <OPTION VALUE="86">{COUNTRY.86}
            <OPTION VALUE="96">{COUNTRY.96}
            <OPTION VALUE="100">{COUNTRY.100}
            <OPTION VALUE="854">{COUNTRY.854}
            <OPTION VALUE="108">{COUNTRY.108}
            <OPTION VALUE="116">{COUNTRY.116}
            <OPTION VALUE="120">{COUNTRY.120}
            <OPTION VALUE="124">{COUNTRY.124}
            <OPTION VALUE="132">{COUNTRY.132}
            <OPTION VALUE="136">{COUNTRY.136}
            <OPTION VALUE="140">{COUNTRY.140}
            <OPTION VALUE="148">{COUNTRY.148}
            <OPTION VALUE="152">{COUNTRY.152}
            <OPTION VALUE="156">{COUNTRY.156}
            <OPTION VALUE="162">{COUNTRY.162}
            <OPTION VALUE="166">{COUNTRY.166}
            <OPTION VALUE="170">{COUNTRY.170}
            <OPTION VALUE="174">{COUNTRY.174}
            <OPTION VALUE="178">{COUNTRY.178}
            <OPTION VALUE="180">{COUNTRY.180}
            <OPTION VALUE="184">{COUNTRY.184}
            <OPTION VALUE="188">{COUNTRY.188}
            <OPTION VALUE="384">{COUNTRY.384}
            <OPTION VALUE="191">{COUNTRY.191}
            <OPTION VALUE="192">{COUNTRY.192}
            <OPTION VALUE="196">{COUNTRY.196}
            <OPTION VALUE="203">{COUNTRY.203}
            <OPTION VALUE="208">{COUNTRY.208}
            <OPTION VALUE="262">{COUNTRY.262}
            <OPTION VALUE="212">{COUNTRY.212}
            <OPTION VALUE="214">{COUNTRY.214}
            <OPTION VALUE="626">{COUNTRY.626}
            <OPTION VALUE="218">{COUNTRY.218}
            <OPTION VALUE="818">{COUNTRY.818}
            <OPTION VALUE="222">{COUNTRY.222}
            <OPTION VALUE="226">{COUNTRY.226}
            <OPTION VALUE="232">{COUNTRY.232}
            <OPTION VALUE="233">{COUNTRY.233}
            <OPTION VALUE="231">{COUNTRY.231}
            <OPTION VALUE="238">{COUNTRY.238}
            <OPTION VALUE="234">{COUNTRY.234}
            <OPTION VALUE="242">{COUNTRY.242}
            <OPTION VALUE="246">{COUNTRY.246}
            <OPTION VALUE="250">{COUNTRY.250}
            <OPTION VALUE="249">{COUNTRY.249}
            <OPTION VALUE="254">{COUNTRY.254}
            <OPTION VALUE="258">{COUNTRY.258}
            <OPTION VALUE="260">{COUNTRY.260}
            <OPTION VALUE="266">{COUNTRY.266}
            <OPTION VALUE="270">{COUNTRY.270}
            <OPTION VALUE="268">{COUNTRY.268}
            <OPTION VALUE="276">{COUNTRY.276}
            <OPTION VALUE="288">{COUNTRY.288}
            <OPTION VALUE="292">{COUNTRY.292}
            <OPTION VALUE="300">{COUNTRY.300}
            <OPTION VALUE="304">{COUNTRY.304}
            <OPTION VALUE="308">{COUNTRY.308}
            <OPTION VALUE="312">{COUNTRY.312}
            <OPTION VALUE="316">{COUNTRY.316}
            <OPTION VALUE="320">{COUNTRY.320}
            <OPTION VALUE="324">{COUNTRY.324}
            <OPTION VALUE="624">{COUNTRY.624}
            <OPTION VALUE="328">{COUNTRY.328}
            <OPTION VALUE="332">{COUNTRY.332}
            <OPTION VALUE="334">{COUNTRY.334}
            <OPTION VALUE="336">{COUNTRY.336}
            <OPTION VALUE="340">{COUNTRY.340}
            <OPTION VALUE="344">{COUNTRY.344}
            <OPTION VALUE="348">{COUNTRY.348}
            <OPTION VALUE="352">{COUNTRY.352}
            <OPTION VALUE="356">{COUNTRY.356}
            <OPTION VALUE="360">{COUNTRY.360}
            <OPTION VALUE="364">{COUNTRY.364}
            <OPTION VALUE="368">{COUNTRY.368}
            <OPTION VALUE="372">{COUNTRY.372}
            <OPTION VALUE="376">{COUNTRY.376}
            <OPTION VALUE="380">{COUNTRY.380}
            <OPTION VALUE="388">{COUNTRY.388}
            <OPTION VALUE="392">{COUNTRY.392}
            <OPTION VALUE="400">{COUNTRY.400}
            <OPTION VALUE="398">{COUNTRY.398}
            <OPTION VALUE="404">{COUNTRY.404}
            <OPTION VALUE="296">{COUNTRY.296}
            <OPTION VALUE="408">{COUNTRY.408}
            <OPTION VALUE="410">{COUNTRY.410}
            <OPTION VALUE="414">{COUNTRY.414}
            <OPTION VALUE="417">{COUNTRY.417}
            <OPTION VALUE="418">{COUNTRY.418}
            <OPTION VALUE="428">{COUNTRY.428}
            <OPTION VALUE="422">{COUNTRY.422}
            <OPTION VALUE="426">{COUNTRY.426}
            <OPTION VALUE="430">{COUNTRY.430}
            <OPTION VALUE="434">{COUNTRY.434}
            <OPTION VALUE="438">{COUNTRY.438}
            <OPTION VALUE="440">{COUNTRY.440}
            <OPTION VALUE="442">{COUNTRY.442}
            <OPTION VALUE="446">{COUNTRY.446}
            <OPTION VALUE="807">{COUNTRY.807}
            <OPTION VALUE="450">{COUNTRY.450}
            <OPTION VALUE="454">{COUNTRY.454}
            <OPTION VALUE="458">{COUNTRY.458}
            <OPTION VALUE="462">{COUNTRY.462}
            <OPTION VALUE="466">{COUNTRY.466}
            <OPTION VALUE="470">{COUNTRY.470}
            <OPTION VALUE="584">{COUNTRY.584}
            <OPTION VALUE="474">{COUNTRY.474}
            <OPTION VALUE="478">{COUNTRY.478}
            <OPTION VALUE="480">{COUNTRY.480}
            <OPTION VALUE="175">{COUNTRY.175}
            <OPTION VALUE="484">{COUNTRY.484}
            <OPTION VALUE="583">{COUNTRY.583}
            <OPTION VALUE="498">{COUNTRY.498}
            <OPTION VALUE="492">{COUNTRY.492}
            <OPTION VALUE="496">{COUNTRY.496}
            <OPTION VALUE="500">{COUNTRY.500}
            <OPTION VALUE="504">{COUNTRY.504}
            <OPTION VALUE="508">{COUNTRY.508}
            <OPTION VALUE="104">{COUNTRY.104}
            <OPTION VALUE="516">{COUNTRY.516}
            <OPTION VALUE="520">{COUNTRY.520}
            <OPTION VALUE="524">{COUNTRY.524}
            <OPTION VALUE="528">{COUNTRY.528}
            <OPTION VALUE="530">{COUNTRY.530}
            <OPTION VALUE="540">{COUNTRY.540}
            <OPTION VALUE="554">{COUNTRY.554}
            <OPTION VALUE="558">{COUNTRY.558}
            <OPTION VALUE="562">{COUNTRY.562}
            <OPTION VALUE="566">{COUNTRY.566}
            <OPTION VALUE="570">{COUNTRY.570}
            <OPTION VALUE="574">{COUNTRY.574}
            <OPTION VALUE="580">{COUNTRY.580}
            <OPTION VALUE="578">{COUNTRY.578}
            <OPTION VALUE="512">{COUNTRY.512}
            <OPTION VALUE="586">{COUNTRY.586}
            <OPTION VALUE="585">{COUNTRY.585}
            <OPTION VALUE="591">{COUNTRY.591}
            <OPTION VALUE="598">{COUNTRY.598}
            <OPTION VALUE="600">{COUNTRY.600}
            <OPTION VALUE="604">{COUNTRY.604}
            <OPTION VALUE="608">{COUNTRY.608}
            <OPTION VALUE="612">{COUNTRY.612}
            <OPTION VALUE="616">{COUNTRY.616}
            <OPTION VALUE="620">{COUNTRY.620}
            <OPTION VALUE="630">{COUNTRY.630}
            <OPTION VALUE="634">{COUNTRY.634}
            <OPTION VALUE="638">{COUNTRY.638}
            <OPTION VALUE="642">{COUNTRY.642}
            <OPTION VALUE="643">{COUNTRY.643}
            <OPTION VALUE="646">{COUNTRY.646}
            <OPTION VALUE="659">{COUNTRY.659}
            <OPTION VALUE="662">{COUNTRY.662}
            <OPTION VALUE="670">{COUNTRY.670}
            <OPTION VALUE="882">{COUNTRY.882}
            <OPTION VALUE="674">{COUNTRY.674}
            <OPTION VALUE="678">{COUNTRY.678}
            <OPTION VALUE="682">{COUNTRY.682}
            <OPTION VALUE="686">{COUNTRY.686}
            <OPTION VALUE="690">{COUNTRY.690}
            <OPTION VALUE="694">{COUNTRY.694}
            <OPTION VALUE="702">{COUNTRY.702}
            <OPTION VALUE="703">{COUNTRY.703}
            <OPTION VALUE="705">{COUNTRY.705}
            <OPTION VALUE="90">{COUNTRY.90}
            <OPTION VALUE="706">{COUNTRY.706}
            <OPTION VALUE="710">{COUNTRY.710}
            <OPTION VALUE="239">{COUNTRY.239}
            <OPTION VALUE="724">{COUNTRY.724}
            <OPTION VALUE="144">{COUNTRY.144}
            <OPTION VALUE="654">{COUNTRY.654}
            <OPTION VALUE="666">{COUNTRY.666}
            <OPTION VALUE="736">{COUNTRY.736}
            <OPTION VALUE="740">{COUNTRY.740}
            <OPTION VALUE="744">{COUNTRY.744}
            <OPTION VALUE="748">{COUNTRY.748}
            <OPTION VALUE="752">{COUNTRY.752}
            <OPTION VALUE="756">{COUNTRY.756}
            <OPTION VALUE="760">{COUNTRY.760}
            <OPTION VALUE="158">{COUNTRY.158}
            <OPTION VALUE="762">{COUNTRY.762}
            <OPTION VALUE="834">{COUNTRY.834}
            <OPTION VALUE="764">{COUNTRY.764}
            <OPTION VALUE="768">{COUNTRY.768}
            <OPTION VALUE="772">{COUNTRY.772}
            <OPTION VALUE="776">{COUNTRY.776}
            <OPTION VALUE="780">{COUNTRY.780}
            <OPTION VALUE="788">{COUNTRY.788}
            <OPTION VALUE="792">{COUNTRY.792}
            <OPTION VALUE="795">{COUNTRY.795}
            <OPTION VALUE="796">{COUNTRY.796}
            <OPTION VALUE="798">{COUNTRY.798}
            <OPTION VALUE="800">{COUNTRY.800}
            <OPTION VALUE="804">{COUNTRY.804}
            <OPTION VALUE="784">{COUNTRY.784}
            <OPTION VALUE="826">{COUNTRY.826}
            <OPTION VALUE="840">{COUNTRY.840}
            <OPTION VALUE="581">{COUNTRY.581}
            <OPTION VALUE="858">{COUNTRY.858}
            <OPTION VALUE="860">{COUNTRY.860}
            <OPTION VALUE="548">{COUNTRY.548}
            <OPTION VALUE="862">{COUNTRY.862}
            <OPTION VALUE="704">{COUNTRY.704}
            <OPTION VALUE="92">{COUNTRY.92}
            <OPTION VALUE="850">{COUNTRY.850}
            <OPTION VALUE="876">{COUNTRY.876}
            <OPTION VALUE="732">{COUNTRY.732}
            <OPTION VALUE="887">{COUNTRY.887}
            <OPTION VALUE="891">{COUNTRY.891}
            <OPTION VALUE="894">{COUNTRY.894}
            <OPTION VALUE="716">{COUNTRY.716}
          </SELECT>
        </TD>
        <TD></TD>
      </TR>
    ]]></BuyPageInformation>


    <!-- ==================================================================
      The following sections contain the parameters required by Payment
      Manager and the cassette to create the order.

      The SampleCheckout application will pass the following
      environment variables to the cashier.  These variables can be used
      in the profile by enclosing the variable name in curly braces ({}).

           Variable Name          Content
           ==================================================================
           merchantnumber         the merchant number as entered on the form
           ordernumber            the order number as entered on the form
           currency               the ISO 4217 currency selected on the form (3 digit code)
           currencyAlpha          the currency in ISO 4217 (3 letter code)
           amount                 the amount as entered on the form
           amountLowestCurrUnits  the amount value converted to the
                                  currency's lowest units.  E.g. in US
                                  dollars, 10.00 dollars converts to
                                  1000 cents.
           paymentOption          the radio button value of the Payment option
                                  field on the form
           other variables as     the value entered on the form
           specified in the
           BuyPageInformation
           element

      If, after all substitutions have been made, the value of a parameter
      is an empty string, then the parameter will not be passed to
      Payment Manager.
     ================================================================== -->



    <!-- ==================================================================
      Parameters required by Payment Manager for order creation
     ================================================================== -->

    <Parameter name="PAYMENTTYPE"><CharacterText>LdbCard</CharacterText></Parameter>
    <Parameter name="MERCHANTNUMBER"><CharacterText>{merchantnumber}</CharacterText></Parameter>
    <Parameter name="ORDERNUMBER"><CharacterText>{ordernumber}</CharacterText></Parameter>
    <Parameter name="AMOUNT"><CharacterText>{amountLowestCurrUnits}</CharacterText></Parameter>
    <Parameter name="CURRENCY"><CharacterText>{currency}</CharacterText></Parameter>



    <!-- ==================================================================
      Optional parameters for Payment Manager
     ================================================================== -->

    <!-- A URL which can be used to access the details of the order -->
    <Parameter name="ORDERURL"><CharacterText></CharacterText></Parameter>

    <!--  Indicates how automatic approval of the order should be attempted
          Supported values are:
            0 - no automatic approval
            1 - synchronous automatic approval - Payment Manager attempts approval as
                part of order creation operation
            2 - asynchronous automatic approval - Payment Manager schedules an approval
                operations after order is created
          The default value is 0.
     -->
    <Parameter name="APPROVEFLAG"><CharacterText>0</CharacterText></Parameter>

    <!-- The amount which should be used when approving an order.  Usually
         this will be the same as the order amount.  This field is required
         if the APPROVEFLAG is set to 1 or 2. -->
    <Parameter name="PAYMENTAMOUNT"><CharacterText></CharacterText></Parameter>

    <!-- The payment number which used be used when approving an order.
         Usually this will be 1.  This field is required if the APPROVEFLAG
         is set to 1 or 2. -->
    <Parameter name="PAYMENTNUMBER"><CharacterText></CharacterText></Parameter>

    <!-- Indicates whether the deposit should be attempted automatically.
         This flag is only valid if APPROVEFLAG is set to 1 or 2.
         Supported values are:
           0 - Funds should not be automatically deposited.
           1 - Funds should be automatically deposited.
         The default value is 0.
    -->
    <Parameter name="DEPOSITFLAG"><CharacterText></CharacterText></Parameter>

    <!-- Identifies the batch under which this payment will be processed.
         Must be from 1 to 999999999. -->
    <Parameter name="BATCHNUMBER"><CharacterText></CharacterText></Parameter>



    <!-- ==================================================================
      Parameters required by the cassette
     ================================================================== -->

    <!-- The card brand -->
    <Parameter name="$BRAND"><CharacterText>{Ecom_Payment_Card_Type}</CharacterText></Parameter>

    <!-- The credit card number -->
    <Parameter name="$PAN"><CharacterText>{Ecom_Payment_Card_Number}</CharacterText></Parameter>

    <!-- The expiry date in format YYYYMM -->
    <Parameter name="$EXPIRY"><CharacterText>{Ecom_Payment_Card_ExpDate_Year}{Ecom_Payment_Card_ExpDate_Month}</CharacterText></Parameter>

    <!-- The card holder name -->
    <Parameter name="$CARDHOLDERNAME"><CharacterText>{Ecom_Payment_Card_Name}</CharacterText></Parameter>

    <!-- The AVS Street Address -->
    <Parameter name="$AVS.STREETADDRESS"><CharacterText>{Ecom_BillTo_Postal_Street_Line1}</CharacterText></Parameter>

    <!-- The AVS City -->
    <Parameter name="$AVS.CITY"><CharacterText>{Ecom_BillTo_Postal_City}</CharacterText></Parameter>

    <!-- The AVS State/Province -->
    <Parameter name="$AVS.STATEPROVINCE"><CharacterText>{Ecom_BillTo_Postal_StateProv}</CharacterText></Parameter>

    <!-- The AVS Postal Code  -->
    <Parameter name="$AVS.POSTALCODE"><CharacterText>{Ecom_BillTo_Postal_PostalCode}</CharacterText></Parameter>

    <!-- The AVS Country Code  -->
    <Parameter name="$AVS.COUNTRYCODE"><CharacterText>{Ecom_BillTo_Postal_CountryCode}</CharacterText></Parameter>

  </CollectPayment>

</Profile>
